> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a hold

> Create a hold

### Request body

`CreateQualityHoldRequest`

<ParamField body="hold_type" type="string" required>
  One of the `HoldType` values, e.g. `quality_inspection`, `damage`, `recall`.
</ParamField>

<ParamField body="inspection_id" type="string,null" />

<ParamField body="lot_number" type="string,null" />

<ParamField body="ncr_id" type="string,null" />

<ParamField body="placed_by" type="string" required />

<ParamField body="quantity" type="string" required>
  Decimal quantity as a string.
</ParamField>

<ParamField body="reason" type="string" required />

<ParamField body="serial_number" type="string,null" />

<ParamField body="sku" type="string" required />

### Responses

<ResponseField name="201" type="QualityHoldResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/quality/holds' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "hold_type": "string",
    "inspection_id": null,
    "lot_number": null,
    "ncr_id": null,
    "placed_by": "string",
    "quantity": "string",
    "reason": "string",
    "serial_number": null,
    "sku": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "hold_type": "string",
    "id": "string",
    "lot_number": null,
    "placed_at": "string",
    "placed_by": "string",
    "quantity_held": "string",
    "reason": "string",
    "released_at": null,
    "released_by": null,
    "sku": "string"
  }
  ```
</ResponseExample>
